/ingest/settings/ingest-schema
1 min
POST
https://app.amberflo.io/ingest/settings/ingest-schema
Body Parameters
- bodyingestion.settings.IngestMessageSchema.in
- idstringDescription
- schemaingestion.schema_adapters.nodes.ExplodeNode.inDescription
- typestringDefaultexplode
- sourceNamestring
- subComponentsingestion.schema_adapters.nodes.SchemaExtractorNode.in[]
- ingestion.schema_adapters.nodes.CustomerIdNode.in
- typestringDefaultcustomer_id
- sourceNamestring
- ingestion.schema_adapters.nodes.DimensionNode.in
- typestringDefaultdimension
- sourceNamestring
- targetNamestring
- ingestion.schema_adapters.nodes.EventTimeNode.in
- typestringDefaultevent_time
- timeFormatingestion.schema_adapters.nodes.TimeFormat.in
- Max depth limit reached
- sourceNamestring
- ingestion.schema_adapters.nodes.ExplodeNode.in
- Max depth limit reached
- ingestion.schema_adapters.nodes.ForkNode.in
- Max depth limit reached
- ingestion.schema_adapters.nodes.MeterApiNameNode.in
- Max depth limit reached
- ingestion.schema_adapters.nodes.ValueNode.in
- Max depth limit reached
- ingestion.schema_adapters.nodes.SameElementArrayNode.in
- Max depth limit reached
- ingestion.schema_adapters.nodes.UniqueIdNode.in
- Max depth limit reached
- conditioningestion.schema_adapters.conditions.MatchCondition.inDescription
- ingestion.schema_adapters.conditions.NotCondition.in
- typestringDefaultnot
- conditioningestion.schema_adapters.conditions.MatchCondition.in
- ingestion.schema_adapters.conditions.NotCondition.in
- Circular-Reference
- ingestion.schema_adapters.conditions.ValidIdentifierCondition.in
- typestringDefaultvalid_identifier
- fieldNamestring
- validValuesstring[]
- ingestion.schema_adapters.conditions.ValidIdentifierCondition.in
- typestringDefaultvalid_identifier
- fieldNamestring
- validValuesstring[]
- autoDetectablebooleanDescription
Responses
200
- ingestion.settings.IngestMessageSchema.out
- idstringDescription
- createTimeInSecondsinteger<int64>Description
- updateTimeInSecondsinteger<int64>Description
- schemaingestion.schema_adapters.nodes.ExplodeNode.outDescription
- typestringDefaultexplode
- sourceNamestring
- subComponentsingestion.schema_adapters.nodes.SchemaExtractorNode.out[]
- ingestion.schema_adapters.nodes.CustomerIdNode.out
- typestringDefaultcustomer_id
- sourceNamestring
- ingestion.schema_adapters.nodes.DimensionNode.out
- typestringDefaultdimension
- sourceNamestring
- targetNamestring
- ingestion.schema_adapters.nodes.EventTimeNode.out
- typestringDefaultevent_time
- timeFormatingestion.schema_adapters.nodes.TimeFormat.out
- Max depth limit reached
- sourceNamestring
- ingestion.schema_adapters.nodes.ExplodeNode.out
- Max depth limit reached
- ingestion.schema_adapters.nodes.ForkNode.out
- Max depth limit reached
- ingestion.schema_adapters.nodes.MeterApiNameNode.out
- Max depth limit reached
- ingestion.schema_adapters.nodes.ValueNode.out
- Max depth limit reached
- ingestion.schema_adapters.nodes.SameElementArrayNode.out
- Max depth limit reached
- ingestion.schema_adapters.nodes.UniqueIdNode.out
- Max depth limit reached
- conditioningestion.schema_adapters.conditions.MatchCondition.outDescription
- ingestion.schema_adapters.conditions.NotCondition.out
- typestringDefaultnot
- conditioningestion.schema_adapters.conditions.MatchCondition.out
- ingestion.schema_adapters.conditions.NotCondition.out
- Circular-Reference
- ingestion.schema_adapters.conditions.ValidIdentifierCondition.out
- typestringDefaultvalid_identifier
- fieldNamestring
- validValuesstring[]
- ingestion.schema_adapters.conditions.ValidIdentifierCondition.out
- typestringDefaultvalid_identifier
- fieldNamestring
- validValuesstring[]
- autoDetectablebooleanDescription
curl
curl --request POST \
--url https://app.amberflo.io/ingest/settings/ingest-schema \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"schema": {
"type": "explode",
"subComponents": {
"type": "customer_id"
}
},
"condition": {
"type": "not",
"condition": {}
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"schema": {
"type": "explode",
"subComponents": {
"type": "customer_id"
}
},
"condition": {
"type": "not",
"condition": {}
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/ingest/settings/ingest-schema", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/ingest/settings/ingest-schema")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"schema": {
"type": "explode",
"subComponents": {
"type": "customer_id"
}
},
"condition": {
"type": "not",
"condition": {}
}
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/ingest/settings/ingest-schema"
payload = json.dumps({
"schema": {
"type": "explode",
"subComponents": {
"type": "customer_id"
}
},
"condition": {
"type": "not",
"condition": {}
}
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"id": "",
"createTimeInSeconds": "",
"updateTimeInSeconds": "",
"schema": {
"type": "",
"sourceName": "",
"subComponents": {}
},
"condition": {},
"autoDetectable": false
}